Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.linker
Class CompilationResult

    java.lang.Object
      com.google.gwt.core.ext.linker.Artifact<CompilationResult>
          com.google.gwt.core.ext.linker.CompilationResult

All Implemented Interfaces:
  java.lang.Comparable<Artifact<?>>

    public abstract class CompilationResult

extends Artifact<CompilationResult>

Represents a unique compilation of the module. Multiple permutations may result in identical JavaScript.

Constructor Summary
`protected` | `CompilationResult(java.lang.Class<? extends Linker> linkerType)`

Method Summary
`protected int` | `compareToComparableArtifact(CompilationResult o)` Performs comparison with an artifact of a compatible base type.
`protected java.lang.Class<CompilationResult>` | `getComparableArtifactType()` Returns the base type to use for comparisons between Artifacts.
`abstract java.lang.String` | `getJavaScript()` Returns the JavaScript compilation.
`abstract java.util.SortedSet<java.util.SortedMap<SelectionProperty,java.lang.String>>` | `getPropertyMap()` Provides values for `SelectionProperty` instances that are not explicitly set during the compilation phase.
`int` | `hashCode()` The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.
`java.lang.String` | `toString()`

Methods inherited from class com.google.gwt.core.ext.linker.Artifact
`compareTo, equals, getLinker`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompilationResult

    protected CompilationResult(java.lang.Class<? extends Linker> linkerType)

Method Detail

### getJavaScript

    public abstract java.lang.String getJavaScript()

  Returns the JavaScript compilation. The exact form and function of the JavaScript should be considered opaque.

### getPropertyMap

    public abstract java.util.SortedSet<java.util.SortedMap<SelectionProperty,java.lang.String>> getPropertyMap()

  Provides values for `SelectionProperty` instances that are not explicitly set during the compilation phase. This method will return multiple mappings, one for each permutation that resulted in the compilation.

### hashCode

    public final int hashCode()

  Description copied from class: `Artifact`
  The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.

  Specified by:
    `hashCode` in class `Artifact<CompilationResult>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Artifact<CompilationResult>`

### compareToComparableArtifact

    protected final int compareToComparableArtifact(CompilationResult o)

  Description copied from class: `Artifact`
  Performs comparison with an artifact of a compatible base type. Objects which compare to 0 are assumed equal, and must return the same `Artifact.hashCode()`.

  Specified by:
    `compareToComparableArtifact` in class `Artifact<CompilationResult>`

### getComparableArtifactType

    protected final java.lang.Class<CompilationResult> getComparableArtifactType()

  Description copied from class: `Artifact`
  Returns the base type to use for comparisons between Artifacts. All concrete implementations of this methods must be final.

  Specified by:
    `getComparableArtifactType` in class `Artifact<CompilationResult>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD